Page MenuHomePhabricator

[analyzer] print() JSONify: Decl revision
ClosedPublic

Authored by Charusso on May 27 2019, 1:54 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

Charusso created this revision.May 27 2019, 1:54 PM
NoQ requested changes to this revision.May 28 2019, 1:53 PM

Ouch, this is actually the place that i hate for doing the pretty-print! Let's just dump the qualified name of the decl instead for implicit calls, that's totally enough, it's completely unnecessary to dump the whole source code of the destructor.

This revision now requires changes to proceed.May 28 2019, 1:53 PM
Charusso updated this revision to Diff 201911.May 29 2019, 7:11 AM
Charusso retitled this revision from [analyzer][AST] print() JSONify: Decl implementation to [analyzer][AST] print() JSONify: Decl revision.
  • Print out only the qualified name of each Decl.
NoQ accepted this revision.May 29 2019, 10:44 AM

Great, thanks!

This revision is now accepted and ready to land.May 29 2019, 10:44 AM
Charusso retitled this revision from [analyzer][AST] print() JSONify: Decl revision to [analyzer] print() JSONify: Decl revision.May 29 2019, 11:14 AM
Charusso set the repository for this revision to rC Clang.
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMay 29 2019, 11:19 AM